:root {
    --hotel-color: #FF9800;
    --house-color: #0288D1;
    --square-h-color: #7B1FA2;
    --campground-color: #558B2F;
    --house-flood-water-color: #558B2F;
    --tents-color: #558B2F;
    --person-shelter-color: #558B2F;
}

/*
 * Property styles in unhighlighted state.
 */
.property {
    align-items: center;
    background-color: #FFFFFF;
    border-radius: 50%;
    color: #263238;
    display: flex;
    font-size: 14px;
    gap: 15px;
    height: 30px;
    justify-content: center;
    padding: 4px;
    position: relative;
    transition: all 0.3s ease-out;
    width: 30px;
    /*z-index: 1100000;*/
}

.property::after {
    border-left: 9px solid transparent;
    border-right: 9px solid transparent;
    border-top: 9px solid #FFFFFF;
    content: "";
    height: 0;
    left: 50%;
    position: absolute;
    top: 100%; /* default 95% */
    transform: translate(-50%, 0);
    transition: all 0.3s ease-out;
    width: 0;
    z-index: 1;
}

.property .icon {
    align-items: center;
    display: flex;
    justify-content: center;
    color: #FFFFFF;
}

.property .icon svg {
    height: 20px;
    width: auto;
}

.property .details {
    display: none;
    flex-direction: column;
    flex: 1;

}

.property .address {
    /*color: #9E9E9E;
    font-size: 12px;*/
    margin-bottom: 10px;
    margin-top: 5px;
}

.property .features {
    align-items: flex-end;
    display: flex;
    flex-direction: row;
    gap: 10px;
}

.property .features > div {
    align-items: center;
    background: #F5F5F5;
    border-radius: 5px;
    border: 1px solid #ccc;
    display: flex;
    font-size: 10px;
    gap: 5px;
    padding: 5px;
}

/*
 * Property styles in highlighted state.
 */
.property.highlight {
    background-color: #FFFFFF;
    border-radius: 8px;
    box-shadow: 10px 10px 5px rgba(0, 0, 0, 0.2);
    height: 100%;
    padding: 8px 15px;
    width: auto;
    margin-bottom: 20px; /* default none */
}

.property.highlight::after {
    border-top: 9px solid #FFFFFF;
}

.property.highlight .details {
    display: flex;
}

.property.highlight .icon svg {
    width: 50px;
    height: 50px;
}

.property.highlight .icon {
    width: 50px;
    height: 50px;
    font-size: 40px;
}

.property .bed {
    color: #FFA000;
}

.property .bath {
    color: #03A9F4;
}

.property .size {
    color: #388E3C;
}

/*
 * dom icon colors.
 */
.property.highlight:has(.fa-house) .icon {
    color: var(--house-color);
}

.property:not(.highlight):has(.fa-house) {
    background-color: var(--house-color);
}

.property:not(.highlight):has(.fa-house)::after {
    border-top: 9px solid var(--house-color);
}

/*
 * motel icon colors.
 */
.property.highlight:has(.fa-hotel) .icon {
    color: var(--hotel-color);
}

.property:not(.highlight):has(.fa-hotel) {
    background-color: var(--hotel-color);
}

.property:not(.highlight):has(.fa-hotel)::after {
    border-top: 9px solid var(--hotel-color);
}

/*
 * kemping icon colors.
 */
.property.highlight:has(.fa-campground) .icon {
    color: var(--campground-color);
}

.property:not(.highlight):has(.fa-campground) {
    background-color: var(--campground-color);
}

.property:not(.highlight):has(.fa-campground)::after {
    border-top: 9px solid var(--campground-color);
}

/*
 * hotel icon colors.
 */
.property.highlight:has(.fa-square-h) .icon {
    color: var(--square-h-color);
}

.property:not(.highlight):has(.fa-square-h) {
    background-color: var(--square-h-color);
}

.property:not(.highlight):has(.fa-square-h)::after {
    border-top: 9px solid var(--square-h-color);
}

/*
 * pensjonat icon colors.
 */
.property.highlight:has(.fa-house-flood-water) .icon {
    color: var(--house-flood-water-color);
}

.property:not(.highlight):has(.fa-house-flood-water) {
    background-color: var(--house-flood-water-color);
}

.property:not(.highlight):has(.fa-house-flood-water)::after {
    border-top: 9px solid var(--house-flood-water-color);
}

/*
 * schronisko icon colors.
 */
.property.highlight:has(.fa-tents) .icon {
    color: var(--tents-color);
}

.property:not(.highlight):has(.fa-tents) {
    background-color: var(--tents-color);
}

.property:not(.highlight):has(.fa-tents)::after {
    border-top: 9px solid var(--tents-color);
}

/*
 * schronisko młodzieżowe icon colors.
 */
.property.highlight:has(.fa-person-shelter) .icon {
    color: var(--person-shelter-color);
}

.property:not(.highlight):has(.fa-person-shelter) {
    background-color: var(--person-shelter-color);
}

.property:not(.highlight):has(.fa-person-shelter)::after {
    border-top: 9px solid var(--person-shelter-color);
}

/* marker animation */
@keyframes drop {
    0% {
        transform: translateY(-200px) scaleY(0.9);
        opacity: 0;
    }
    5% {
        opacity: 0.7;
    }
    50% {
        transform: translateY(0px) scaleY(1);
        opacity: 1;
    }
    65% {
        transform: translateY(-17px) scaleY(0.9);
        opacity: 1;
    }
    75% {
        transform: translateY(-22px) scaleY(0.9);
        opacity: 1;
    }
    100% {
        transform: translateY(0px) scaleY(1);
        opacity: 1;
    }
}

.drop {
    animation: drop 0.3s linear forwards var(--delay-time);
}

.bounce {
    animation: bounce 2s infinite;
    -webkit-animation: bounce 2s infinite;
    -moz-animation: bounce 2s infinite;
    -o-animation: bounce 2s infinite;
}
 
@-webkit-keyframes bounce {
    0%, 20%, 50%, 80%, 100% {-webkit-transform: translateY(0);} 
    40% {-webkit-transform: translateY(-30px);}
    60% {-webkit-transform: translateY(-15px);}
}
 
@-moz-keyframes bounce {
    0%, 20%, 50%, 80%, 100% {-moz-transform: translateY(0);}
    40% {-moz-transform: translateY(-30px);}
    60% {-moz-transform: translateY(-15px);}
}
 
@-o-keyframes bounce {
    0%, 20%, 50%, 80%, 100% {-o-transform: translateY(0);}
    40% {-o-transform: translateY(-30px);}
    60% {-o-transform: translateY(-15px);}
}
@keyframes bounce {
    0%, 20%, 50%, 80%, 100% {transform: translateY(0);}
    40% {transform: translateY(-30px);}
    60% {transform: translateY(-15px);}
}




/* property info window */
/*
.propertyInfoWindow {
    align-items: center;
    background-color: #FFFFFF;
    border-radius: 50%;
    color: #263238;
    display: flex;
    font-size: 14px;
    gap: 15px;
    height: 30px;
    justify-content: center;
    padding: 4px;
    position: relative;
    transition: all 0.3s ease-out;
    width: 30px;
}
*/
.propertyInfoWindow {
    border-left: 9px solid transparent;
    border-right: 9px solid transparent;
    border-top: 9px solid #FFFFFF;
    content: "";
    /*height: 200;*/
    /*left: 50%;*/
    /*position: absolute;*/
    /*top: 100%;*/ /* default 95% */
    /*transform: translate(-50%, 0);
    transition: all 0.3s ease-out;*/
    /*width: 200;*/
    /*z-index: 1;*/
}

.propertyInfoWindow .iconInfoWindow {
    align-items: center;
    display: flex;
    justify-content: center;
    color: #FFFFFF;
}

.propertyInfoWindow .iconInfoWindow svg {
    height: 20px;
    width: auto;
}

.propertyInfoWindow .detailsInfoWindow {
    display: flex;
    flex-direction: column;
    flex: 1;

}

.propertyInfoWindow .addressInfoWindow {
    /*color: #9E9E9E;
    font-size: 12px;*/
    margin-bottom: 10px;
    margin-top: 5px;
}

.propertyInfoWindow .featuresInfoWindow {
    align-items: flex-end;
    display: flex;
    flex-direction: row;
    gap: 10px;
}

.propertyInfoWindow .featuresInfoWindow > div {
    align-items: center;
    background: #F5F5F5;
    border-radius: 5px;
    border: 1px solid #ccc;
    display: flex;
    font-size: 10px;
    gap: 5px;
    padding: 5px;
}

/*
 * Property styles in highlighted state.
 */
.propertyInfoWindow.highlight {
    background-color: #FFFFFF;
    border-radius: 8px;
    box-shadow: 10px 10px 5px rgba(0, 0, 0, 0.2);
    height: 100%;
    padding: 8px 15px;
    width: auto;
    margin-bottom: 20px; /* default none */
}

.propertyInfoWindow.highlight::after {
    border-top: 9px solid #FFFFFF;
}

.propertyInfoWindow.highlight .detailsInfoWindow {
    display: flex;
}

.propertyInfoWindow.highlight .iconInfoWindow svg {
    width: 50px;
    height: 50px;
}

.propertyInfoWindow.highlight .iconInfoWindow {
    width: 50px;
    height: 50px;
    font-size: 40px;
}

.propertyInfoWindow .bedInfoWindow {
    color: #FFA000;
}

.propertyInfoWindow .bathInfoWindow {
    color: #03A9F4;
}

.propertyInfoWindow .sizeInfoWindow {
    color: #388E3C;
}

/*
 * dom icon colors.
 */
.propertyInfoWindow.highlight:has(.fa-house) .iconInfoWindow {
    color: var(--house-color);
}

.propertyInfoWindow:not(.highlight):has(.fa-house) {
    background-color: var(--house-color);
}

.propertyInfoWindow:not(.highlight):has(.fa-house)::after {
    border-top: 9px solid var(--house-color);
}

/*
 * motel icon colors.
 */
.propertyInfoWindow:has(.fa-hotel) i.iconInfoWindow {
    color: var(--hotel-color);
}
/*
.propertyInfoWindow:not(.highlight):has(.fa-hotel) {
    background-color: var(--hotel-color);
}

.propertyInfoWindow:not(.highlight):has(.fa-hotel)::after {
    border-top: 9px solid var(--hotel-color);
}
*/
/*
 * kemping icon colors.
 */
.propertyInfoWindow:has(.fa-campground) i.iconInfoWindow {
    color: var(--campground-color);
}
/*
.propertyInfoWindow:not(.highlight):has(.fa-campground) {
    background-color: var(--campground-color);
}

.propertyInfoWindow:not(.highlight):has(.fa-campground)::after {
    border-top: 9px solid var(--campground-color);
}
*/
/*
 * hotel icon colors.
 */

.propertyInfoWindow:has(.fa-square-h) i.iconInfoWindow {
    color: var(--square-h-color);
}
/*
.propertyInfoWindow:not(.highlight):has(.fa-square-h) {
    background-color: var(--square-h-color);
}

.propertyInfoWindow:not(.highlight):has(.fa-square-h)::after {
    border-top: 9px solid var(--square-h-color);
}
*/
/*
 * pensjonat icon colors.
 */
.propertyInfoWindow:has(.fa-house-flood-water) i.iconInfoWindow {
    color: var(--house-flood-water-color);
}
/*
.propertyInfoWindow:not(.highlight):has(.fa-house-flood-water) {
    background-color: var(--house-flood-water-color);
}

.propertyInfoWindow:not(.highlight):has(.fa-house-flood-water)::after {
    border-top: 9px solid var(--house-flood-water-color);
}
*/
/*
 * schronisko icon colors.
 */
.propertyInfoWindow:has(.fa-tents) i.iconInfoWindow {
    color: var(--tents-color);
}
/*
.propertyInfoWindow:not(.highlight):has(.fa-tents) {
    background-color: var(--tents-color);
}

.propertyInfoWindow:not(.highlight):has(.fa-tents)::after {
    border-top: 9px solid var(--tents-color);
}
*/
/*
 * schronisko młodzieżowe icon colors.
 */
.propertyInfoWindow:has(.fa-person-shelter) i.iconInfoWindow {
    color: var(--person-shelter-color);
}
/*
.propertyInfoWindow:not(.highlight):has(.fa-person-shelter) {
    background-color: var(--person-shelter-color);
}

.propertyInfoWindow:not(.highlight):has(.fa-person-shelter)::after {
    border-top: 9px solid var(--person-shelter-color);
}
*/

.gm-style-iw {
    /*background-color: rgb(237, 28, 36);*/
    border: 1px solid rgba(72, 181, 233, 0.6);
    /*border: 1px solid red;*/
    border-radius: 10px;
    box-shadow: 0 1px 6px rgba(178, 178, 178, 0.6);
    /*color: rgb(255, 255, 255) !important;*/
    /*font-family: gothambook;*/
    /*text-align: center;*/
    /*top: 15px !important;*/
    min-width: 310px !important;
    min-height: 250px !important;
    /*padding-left: 0px;
    margin-left: 0px;*/
}

.gm-style .gm-style-iw-c {
    /*padding: 0px;*/
}


/* HTML marker styles */
.price-tag {
    /*background-color: #4285F4;
    border-radius: 8px;
    color: #FFFFFF;
    font-size: 14px;
    padding: 10px 15px;
    position: relative;*/


    align-items: center;
    background-color: #FFFFFF;
    border-radius: 50%;
    color: #263238;
    display: flex;
    font-size: 14px;
    gap: 15px;
    height: 30px;
    justify-content: center;
    padding: 4px;
    position: relative;
    transition: all 0.3s ease-out;
    width: 30px;
}

.price-tag::after {
    /*content: "";
    position: absolute;
    left: 50%;
    top: 100%;
    transform: translate(-50%, 0);
    width: 0;
    height: 0;
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
    border-top: 8px solid #4285F4;*/

    border-left: 9px solid transparent;
    border-right: 9px solid transparent;
    border-top: 9px solid #FFFFFF;
    content: "";
    height: 0;
    left: 50%;
    position: absolute;
    top: 100%; /* default 95% */
    transform: translate(-50%, 0);
    transition: all 0.3s ease-out;
    width: 0;
    z-index: 1;
}


/*
 * dom icon colors.
 */
.price-tag:has(.fa-house) i {
    color: var(--house-color);
}

.price-tag:has(.fa-house) {
    background-color: var(--house-color);
}

.price-tag:has(.fa-house)::after {
    border-top: 9px solid var(--house-color);
}

/*
 * motel icon colors.
 */
.price-tag:has(.fa-hotel) i {
    color: var(--hotel-color);
}

.price-tag:has(.fa-hotel) {
    background-color: var(--hotel-color);
}

.price-tag:has(.fa-hotel)::after {
    border-top: 9px solid var(--hotel-color);
}

/*
 * kemping icon colors.
 */
.price-tag:has(.fa-campground) i {
    color: var(--campground-color);
}

.price-tag:has(.fa-campground) {
    background-color: var(--campground-color);
}

.price-tag:has(.fa-campground)::after {
    border-top: 9px solid var(--campground-color);
}

/*
 * hotel icon colors.
 */
.price-tag:has(.fa-square-h) i {
    color: var(--square-h-color);
}

.price-tag:has(.fa-square-h) {
    background-color: var(--square-h-color);
}

.price-tag:has(.fa-square-h)::after {
    border-top: 9px solid var(--square-h-color);
}

/*
 * pensjonat icon colors.
 */
.price-tag:has(.fa-house-flood-water) i {
    color: var(--house-flood-water-color);
}

.price-tag:has(.fa-house-flood-water) {
    background-color: var(--house-flood-water-color);
}

.price-tag:has(.fa-house-flood-water)::after {
    border-top: 9px solid var(--house-flood-water-color);
}

/*
 * schronisko icon colors.
 */
.price-tag:has(.fa-tents) i {
    color: var(--tents-color);
}

.price-tag:has(.fa-tents) {
    background-color: var(--tents-color);
}

.price-tag:has(.fa-tents)::after {
    border-top: 9px solid var(--tents-color);
}

/*
 * schronisko młodzieżowe icon colors.
 */
.price-tag:has(.fa-person-shelter) i {
    color: var(--person-shelter-color);
}

.price-tag:has(.fa-person-shelter) {
    background-color: var(--person-shelter-color);
}

.price-tag:has(.fa-person-shelter)::after {
    border-top: 9px solid var(--person-shelter-color);
}